import type { Rule } from "../types.js";
import { RuleConfigSeverity } from "@commitlint/types";
export declare function enumRuleIsActive(rule: Rule): rule is Readonly<[RuleConfigSeverity.Error | RuleConfigSeverity.Warning, "always", Array<string>]>;
export declare function getEnumList(rule: Rule): Array<string>;
export declare function getMaxLength(rule?: Rule): number;
export declare function getMinLength(rule?: Rule): number;
/**
 * Check if a rule definition is active
 * @param rule to check
 * @return if the rule definition is active
 */
export declare function ruleIsActive<T extends Rule>(rule: T): rule is Exclude<T, Readonly<[RuleConfigSeverity.Disabled]>>;
/**
 * Check if a rule definition is applicable
 * @param rule to check
 * @return if the rule definition is applicable
 */
export declare function ruleIsApplicable(rule: Rule): rule is Readonly<[RuleConfigSeverity, "always", unknown]> | Readonly<[RuleConfigSeverity, "always"]>;
export declare function ruleIsDisabled(rule: Rule): rule is Readonly<[RuleConfigSeverity.Disabled]>;
/**
 * Check if a rule definition is applicable
 * @param rule to check
 * @return if the rule definition is applicable
 */
export declare function ruleIsNotApplicable(rule: Rule): rule is Readonly<[RuleConfigSeverity, "never", unknown]> | Readonly<[RuleConfigSeverity, "never"]>;
//# sourceMappingURL=rules.d.ts.map